Attribute VB_Name = "Module1"
Global Const strMDBConnection = "DRIVER={Microsoft Access Driver (*.mdb)};DBQ=c:\storagebot.mdb"

Global Field_Level          'number that stores which field level we are looking at in the database
Global txtPrimary_Field
Global txtSecondary_Field
Global txtFinal_Field

'***************************************************************************
Sub load_primary()
    
Dim objConn     'open up a connection to our access database
Dim objRS       'we will use a DSN-less connection
Dim strSQL
Dim strConnection

strConnection = "DRIVER={Microsoft Access Driver (*.mdb)};" & "DBQ=" _
                                   & "c:\storagebot\storagebot.mdb"

Set objConn = CreateObject("ADODB.Connection")
objConn.ConnectionString = strConnection    'access database connection string
objConn.Open
Set objRS = CreateObject("ADODB.Recordset")
    
strSQL = "Select distinct primary from tblPartsList ORDER BY primary ASC"
objRS.Open strSQL, objConn
 
'if not eof then clear the list box

If Not objRS.EOF Then
    MainForm.SpeechListBox.Clear
    MainForm.List2.Clear
End If

Do While Not objRS.EOF
    MainForm.SpeechListBox.AddItem objRS("primary")
    objRS.MoveNext
Loop    'clean up our ADO objects

objRS.Close
Set objRS = Nothing
objConn.Close
Set objConn = Nothing

End Sub

'***************************************************************************
Sub load_secondary(txtField)
    
Dim objConn     'open up a connection to our access database
Dim objRS       'we will use a DSN-less connection
Dim strSQL
Dim strConnection

strConnection = "DRIVER={Microsoft Access Driver (*.mdb)};" & "DBQ=" _
                                   & "c:\storagebot\storagebot.mdb"

Set objConn = CreateObject("ADODB.Connection")
objConn.ConnectionString = strConnection    'access database connection string
objConn.Open
Set objRS = CreateObject("ADODB.Recordset")
    
strSQL = "Select distinct secondary,location from tblPartsList where primary = '" & txtField & "'" & " ORDER BY location ASC"
objRS.Open strSQL, objConn
 
'if not eof then clear the list box
If Not objRS.EOF Then
    MainForm.SpeechListBox.Clear
    MainForm.List2.Clear
End If

MainForm.SpeechListBox.AddItem "RESTART"
MainForm.SpeechListBox.AddItem "LOCATE"

Do While Not objRS.EOF
    MainForm.SpeechListBox.AddItem objRS("secondary")
    MainForm.List2.AddItem UCase(objRS("location"))
    objRS.MoveNext
Loop    'clean up our ADO objects

objRS.Close
Set objRS = Nothing
objConn.Close
Set objConn = Nothing

End Sub

'***************************************************************************
Sub load_final(txtPrimary_Field, txtSecondary_Field)
    
Dim objConn     'open up a connection to our access database
Dim objRS       'we will use a DSN-less connection
Dim strSQL
Dim strConnection

strConnection = "DRIVER={Microsoft Access Driver (*.mdb)};" & "DBQ=" _
                                   & "c:\storagebot\storagebot.mdb"

Set objConn = CreateObject("ADODB.Connection")
objConn.ConnectionString = strConnection    'access database connection string
objConn.Open
Set objRS = CreateObject("ADODB.Recordset")
    
strSQL = "Select final,location from tblPartsList where primary = '" & txtPrimary_Field & "' AND secondary = '" & txtSecondary_Field & "'" & " ORDER BY location ASC"
objRS.Open strSQL, objConn
 
'if not eof then clear the list box
If Not objRS.EOF Then
    MainForm.SpeechListBox.Clear
    MainForm.List2.Clear
End If

MainForm.SpeechListBox.AddItem "RESTART"
MainForm.SpeechListBox.AddItem "LOCATE"

Do While Not objRS.EOF
    MainForm.SpeechListBox.AddItem objRS("final")
    MainForm.List2.AddItem UCase(objRS("location"))
    objRS.MoveNext
Loop    'clean up our ADO objects

objRS.Close
Set objRS = Nothing
objConn.Close
Set objConn = Nothing

End Sub

'***************************************************************************
Sub load_bin(txtPrimary_Field, txtSecondary_Field, txtFinal_Field)
    
Dim objConn     'open up a connection to our access database
Dim objRS       'we will use a DSN-less connection
Dim strSQL
Dim strConnection

strConnection = "DRIVER={Microsoft Access Driver (*.mdb)};" & "DBQ=" _
                                   & "c:\storagebot\storagebot.mdb"

Set objConn = CreateObject("ADODB.Connection")
objConn.ConnectionString = strConnection    'access database connection string
objConn.Open
Set objRS = CreateObject("ADODB.Recordset")
    
strSQL = "Select location from tblPartsList where primary = '" & txtPrimary_Field & "' AND secondary = '" & txtSecondary_Field & "' AND final = '" & txtFinal_Field & "'" & " ORDER BY location ASC"
objRS.Open strSQL, objConn
 
'if not eof then clear the list box
If Not objRS.EOF Then
    MainForm.SpeechListBox.Clear
    MainForm.List2.Clear
End If
MainForm.SpeechListBox.AddItem "RESTART"
MainForm.SpeechListBox.AddItem "LOCATE"

Do While Not objRS.EOF
    MainForm.List2.AddItem UCase(objRS("location"))
    objRS.MoveNext
Loop    'clean up our ADO objects

objRS.Close
Set objRS = Nothing
objConn.Close
Set objConn = Nothing

End Sub

